Bug Hunting Session
Bug 91240 - Entering into Label Properties in Draw Results in Crash
Summary: Entering into Label Properties in Draw Results in Crash
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.0.0.0.alpha0+ Master
Hardware: All All
: highest major
Assignee: Not Assigned
URL:
Whiteboard: target:5.0.0
Keywords: bibisectRequest, haveBacktrace, regression
Depends on:
Blocks: VclPtr
  Show dependency treegraph
 
Reported: 2015-05-12 17:04 UTC by Joel Madero
Modified: 2015-12-17 09:09 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
bt with debug symbols (4.11 KB, text/plain)
2015-05-12 19:38 UTC, Julien Nabet
Details
bt with debug symbols (7.97 KB, text/plain)
2015-05-13 17:26 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joel Madero 2015-05-12 17:04:23 UTC
Ubuntu 15.04
Version: 5.0.0.0.alpha1+
Build ID: 7d890d0482abb8e051144d8177917c21844638c3
Locale: en-US (en_US.UTF-8)

Steps:

1. Open draw;
2. New -> HTML Document
3. View -> Toolbar -> Form Control
4. Select "Label"
5. Make label in document;
6. Double click

Expected: Property for label field opens

Observed: Crash
Comment 1 raal 2015-05-12 17:54:29 UTC
I can confirm with Version: 5.0.0.0.alpha1+
Build ID: ceb6f473837261f2a6e43e028ce9da3daccc2f6c
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-05-11_13:16:38
Comment 2 Joel Madero 2015-05-12 17:59:11 UTC
Regression - moving to highest[1]

Note: We are trying to move away from MAB list so I'm just marking this as highest, no MAB status as it's a LibreOffice 5 regression.
Comment 3 Julien Nabet 2015-05-12 19:38:44 UTC
Created attachment 115529 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated yesterday (b34b648fc3262c5d9aa295f621e8fe9c97d4c6b2), I could reproduce this.
Comment 4 Julien Nabet 2015-05-12 19:44:09 UTC
Considering the bt, I think it might be related to vclptr.
Now, perhaps it's already fixed in master.

I'll try to think about giving a try tomorrow.
Comment 5 Julien Nabet 2015-05-12 19:48:40 UTC
Argh, I thought having updated another local repo instead of the one I tested.

So the commit I quoted is wrong :-(
Comment 6 Julien Nabet 2015-05-13 17:20:51 UTC
It still fails with master sources updated today
commit 0ac80267730300f53e2410ffe9c0883f19f656a6
Author: Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>
Date:   Wed May 13 13:36:14 2015 +0900

    add PostPaint and change PrePaint to include RenderContext param.
    
    Change-Id: I26e03159fa6115025c6cf376e6ce71443bc98cec
Comment 7 Julien Nabet 2015-05-13 17:26:17 UTC
Created attachment 115564 [details]
bt with debug symbols

Perhaps exactly the same than the older one, I didn't check.
Anyway, this one comes from a build with commit 0ac80267730300f53e2410ffe9c0883f19f656a6
Comment 8 Julien Nabet 2015-05-13 17:28:24 UTC
Michael: noticing vclptr in bt, thought you might be interested in this one.

BTW, I gave a try with LO Debian package 4.4.3.2, I don't reproduce this (just to confirm the regression).
Comment 9 Michael Meeks 2015-05-14 20:08:25 UTC
Fixed; thanks ! =)
Comment 10 Commit Notification 2015-05-14 20:09:50 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7a7a908263fc5761e963606d063bf1154112b87f

tdf#91240 - cope with state-change after dispose and dispose fixedtext.

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Robinson Tryon (qubit) 2015-12-17 09:09:08 UTC
Migrating Whiteboard tags to Keywords: (bibisectrequest)
[NinjaEdit]